<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bPieza,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
		<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>


<HTML>
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<head>
		<title><%= resTit.getString("titMtoPiezas")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
        <script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="JavaScript">
		     function fncGrabar(codigo,accion) {
		     	var docu = document.formPiezas;
	     	 	if(docu.Codigo.value==""){
					alert(dameAlerta(idioma, 0));
					docu.Codigo.focus();
					return;
				}
				if(!esEntero(docu.Codigo.value)){
					alert(dameAlerta(idioma, 13));
					docu.Codigo.focus();
					return;
				}
				
				if(docu.Pieza.value==""||docu.PiezaEu.value==""){
					alert(dameAlerta(idioma, 0));
					docu.Pieza.focus();
					return;
				}
				if(existeCaracter(docu.Pieza.value,"\'")||existeCaracter(docu.Pieza.value,'\"')||existeCaracter(docu.PiezaEu.value,"\'")||existeCaracter(docu.PiezaEu.value,'\"')){
					alert(dameAlerta(idioma, 1));
					docu.Pieza.focus();
					return;
				}
				
				if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
					if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
						return;
				}

		        document.formPiezas.action="m05bGrabarPiezaServlet?Codigo=" + codigo + "&Accion=" + accion;
		        document.formPiezas.submit();
		}
		function validaNum(elem){
			if(!esEnteroSig(elem.value)){
				alert(dameAlerta(idioma, 14));
				elem.focus();
			}
		}
		</script>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<% 
	String sql = "";
	String codigo, accion, descripcion="",descripcionEu="", mensaje="";
	codigo = request.getParameter("Codigo");
	mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");

	m05bPieza pieza = null;
	if ( ((codigo==null) || (codigo.equals("null")) || (codigo.equals(""))) 
		&& (!(mensaje.equals("Existe"))) ) {
		codigo= "";

		accion=m05bConstantes.ACC_INSERTAR;
		session.removeAttribute("m05bPieza");
	} else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;

		pieza = (m05bPieza)session.getAttribute("m05bPieza");
		descripcion= pieza.getPie_pieza();
		if (descripcion == null)
			descripcion = "";
		descripcionEu=pieza.getPie_piezaEu();
		if (descripcionEu == null)
			descripcionEu = "";
	}

	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) { 
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)) {
		accion=m05bConstantes.ACC_INSERTAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 15));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_INTEGRIDAD)){
		accion=m05bConstantes.ACC_ACTUALIZAR;
	    outMsg.println("<script>alert(dameAlerta(idioma, 5));</script>");
	}
	outMsg.close();

	if (pieza == null){
		pieza = new m05bPieza();
		session.setAttribute("m05bPieza",pieza);
	}
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_PIEZAS%>?Codigo=<%=codigo%>";
	detPadre = '<%=resCM.getString("cmRelPiezas")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_PIEZAS%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoPiezas")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formPiezas" METHOD="POST">
					  <TABLE class="general">
						    <tr> 
						      <td width="90%" align="right"> 						     
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=m05bConstantes.ACC_ELIMINAR%>');" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						      <td width="10%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(Codigo.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
							</tr>
					  </TABLE>
				
					  
					
						  <% if ( (codigo.equals("")) || (mensaje.equals("Existe")) ) {  %>
					      	<p align="left"> <label class="inputFieldTitle" ><%= res.getString("etCodigo")%></label><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" VALUE="<%=codigo%>" size="20" maxlength="6" /> </p>
						  <% } 
						  	else  { %>
					      	<p align="left"> <label class="inputFieldTitle" ><%= res.getString("etCodigo")%></label> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Codigo" disabled VALUE="<%=codigo%>" size="20" maxlength="6"/> </p>
					      <%  }  %>   		   
					      <p align="left"><label class="inputFieldTitle" ><%= res.getString("etPieza")%></label> <INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Pieza" VALUE="<%=descripcion%>" size="60" maxlength="255"/> </p>
					       <p align="left">  <label class="inputFieldTitle" ><%= res.getString("etPiezaEu")%></label><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="PiezaEu" VALUE="<%=descripcionEu%>" size="60" maxlength="255"/> </p>
					    
					      <p align="left"> <label class="inputFieldTitle" ><%= res.getString("etPrecioUnitario")%></label><INPUT class="inputField" style="text-align:right" TYPE="TEXT" NAME="Precio" VALUE="<%=pieza.getPie_precio()%>" size="35" maxlength="255" onblur="javascript: if(this.value==''){this.value='0,00';return false;}else{ formatNumeroDecimal(this,6,2);return false;}"/> </p>
		
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<script>
    formatNumeroDecimal(document.formPiezas.Precio,6,2);
</script>

<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>